<?xml version="1.0" encoding="UTF-8"?>
<!-- Created with Jaspersoft Studio version 6.20.1.final using JasperReports Library version 6.20.1-7584acb244139816654f64e2fd57a00d3e31921e  -->
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="REPORT ITEM TERJUAL PER ITEM PER CUSTOMER" pageWidth="4020" pageHeight="3700" orientation="Landscape" columnWidth="4020" leftMargin="0" rightMargin="0" topMargin="0" bottomMargin="0" isIgnorePagination="true" uuid="279670f9-ebaa-420a-bf38-0cfc1f30204e">
	<property name="com.jaspersoft.studio.data.defaultdataadapter" value="fms"/>
	<property name="com.jaspersoft.studio.data.sql.tables" value=""/>
	<property name="com.jaspersoft.studio.data.sql.SQLQueryDesigner.sash.w1" value="389"/>
	<property name="com.jaspersoft.studio.data.sql.SQLQueryDesigner.sash.w2" value="600"/>
	<property name="net.sf.jasperreports.export.xls.detect.cell.type" value="true"/>
	<property name="com.jaspersoft.studio.unit." value="pixel"/>
	<property name="com.jaspersoft.studio.unit.pageHeight" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.pageWidth" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.topMargin" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.bottomMargin" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.leftMargin" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.rightMargin" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.columnWidth" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.columnSpacing" value="pixel"/>
	<style name="Table 1_TH" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Table 1_TD" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Table 5_TH" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Table 5_TD" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Table 6_TH" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Table 6_TD" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Table 7_TH" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Table 7_TD" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Table 9_TH" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Table 9_TD" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Table 10_TH" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Table 10_TD" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Table_TH" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Table_CH" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Table_TD" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Table 2_TH" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Table 3_TH" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Table 2_CH" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Table 3_CH" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Table 2_TD" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Table 3_TD" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Table 8_TH" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Table 8_CH" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Table 8_TD" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Table 11_TH" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Table 11_CH" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Table 11_TD" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Table 12_TH" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Table 12_CH" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Table 12_TD" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<subDataset name="customerid" uuid="ec00587b-4e14-4f56-8f83-a21d45144685">
		<property name="com.jaspersoft.studio.data.sql.tables" value=""/>
		<property name="com.jaspersoft.studio.data.defaultdataadapter" value="fms"/>
		<parameter name="id" class="java.lang.String"/>
		<queryString language="SQL">
			<![CDATA[select name, customer_code from tbcustomer where id = $P{id}]]>
		</queryString>
		<field name="name" class="java.lang.String">
			<property name="com.jaspersoft.studio.field.name" value="name"/>
			<property name="com.jaspersoft.studio.field.label" value="name"/>
			<property name="com.jaspersoft.studio.field.tree.path" value="tbcustomer"/>
		</field>
		<field name="customer_code" class="java.lang.String">
			<property name="com.jaspersoft.studio.field.name" value="customer_code"/>
			<property name="com.jaspersoft.studio.field.label" value="customer_code"/>
			<property name="com.jaspersoft.studio.field.tree.path" value="tbcustomer"/>
		</field>
		<group name="name">
			<groupExpression><![CDATA[$F{name}]]></groupExpression>
		</group>
		<group name="customer_code">
			<groupExpression><![CDATA[$F{customer_code}]]></groupExpression>
		</group>
	</subDataset>
	<parameter name="bulan" class="java.lang.String"/>
	<parameter name="tahun" class="java.lang.String"/>
	<parameter name="customerId" class="java.lang.String"/>
	<queryString>
		<![CDATA[select p.code, p.description,
    
    (   select sum(ii_i.weight) from tbinvoiceitem ii_i
        left join tbinvoice i_i on i_i.id = ii_i.invoice
        left join tbcustomer c_i on c_i.id = i_i.customer
        where ii_i.product = p.id and c_i.id in ($P!{customerId}) and year(i_i.invoicedate) = $P{tahun} and month(i_i.invoicedate) = $P{bulan} and day(i_i.invoicedate) = 1 and i_i.status != 4
    )   as jan1,
    
    (   select sum(ii_i.weight) from tbinvoiceitem ii_i
        left join tbinvoice i_i on i_i.id = ii_i.invoice
        left join tbcustomer c_i on c_i.id = i_i.customer
        where ii_i.product = p.id and c_i.id in ($P!{customerId}) and year(i_i.invoicedate) = $P{tahun} and month(i_i.invoicedate) = $P{bulan} and day(i_i.invoicedate) = 2 and i_i.status != 4
    )   as jan2,
    
    (   select sum(ii_i.weight) from tbinvoiceitem ii_i
        left join tbinvoice i_i on i_i.id = ii_i.invoice
        left join tbcustomer c_i on c_i.id = i_i.customer
        where ii_i.product = p.id and c_i.id in ($P!{customerId}) and year(i_i.invoicedate) = $P{tahun} and month(i_i.invoicedate) = $P{bulan} and day(i_i.invoicedate) = 3 and i_i.status != 4
    )   as jan3,
    
    (   select sum(ii_i.weight) from tbinvoiceitem ii_i
        left join tbinvoice i_i on i_i.id = ii_i.invoice
        left join tbcustomer c_i on c_i.id = i_i.customer
        where ii_i.product = p.id and c_i.id in ($P!{customerId}) and year(i_i.invoicedate) = $P{tahun} and month(i_i.invoicedate) = $P{bulan} and day(i_i.invoicedate) = 4 and i_i.status != 4
    )   as jan4,
    
    (   select sum(ii_i.weight) from tbinvoiceitem ii_i
        left join tbinvoice i_i on i_i.id = ii_i.invoice
        left join tbcustomer c_i on c_i.id = i_i.customer
        where ii_i.product = p.id and c_i.id in ($P!{customerId}) and year(i_i.invoicedate) = $P{tahun} and month(i_i.invoicedate) = $P{bulan} and day(i_i.invoicedate) = 5 and i_i.status != 4
    )   as jan5,
    
    (   select sum(ii_i.weight) from tbinvoiceitem ii_i
        left join tbinvoice i_i on i_i.id = ii_i.invoice
        left join tbcustomer c_i on c_i.id = i_i.customer
        where ii_i.product = p.id and c_i.id in ($P!{customerId}) and year(i_i.invoicedate) = $P{tahun} and month(i_i.invoicedate) = $P{bulan} and day(i_i.invoicedate) = 6 and i_i.status != 4
    )   as jan6,
    
    (   select sum(ii_i.weight) from tbinvoiceitem ii_i
        left join tbinvoice i_i on i_i.id = ii_i.invoice
        left join tbcustomer c_i on c_i.id = i_i.customer
        where ii_i.product = p.id and c_i.id in ($P!{customerId}) and year(i_i.invoicedate) = $P{tahun} and month(i_i.invoicedate) = $P{bulan} and day(i_i.invoicedate) = 7 and i_i.status != 4
    )   as jan7,
    
    (   select sum(ii_i.weight) from tbinvoiceitem ii_i
        left join tbinvoice i_i on i_i.id = ii_i.invoice
        left join tbcustomer c_i on c_i.id = i_i.customer
        where ii_i.product = p.id and c_i.id in ($P!{customerId}) and year(i_i.invoicedate) = $P{tahun} and month(i_i.invoicedate) = $P{bulan} and day(i_i.invoicedate) = 8 and i_i.status != 4
    )   as jan8,
    
    (   select sum(ii_i.weight) from tbinvoiceitem ii_i
        left join tbinvoice i_i on i_i.id = ii_i.invoice
        left join tbcustomer c_i on c_i.id = i_i.customer
        where ii_i.product = p.id and c_i.id in ($P!{customerId}) and year(i_i.invoicedate) = $P{tahun} and month(i_i.invoicedate) = $P{bulan} and day(i_i.invoicedate) = 9 and i_i.status != 4
    )   as jan9,
    
    (   select sum(ii_i.weight) from tbinvoiceitem ii_i
        left join tbinvoice i_i on i_i.id = ii_i.invoice
        left join tbcustomer c_i on c_i.id = i_i.customer
        where ii_i.product = p.id and c_i.id in ($P!{customerId}) and year(i_i.invoicedate) = $P{tahun} and month(i_i.invoicedate) = $P{bulan} and day(i_i.invoicedate) = 10 and i_i.status != 4
    )   as jan10,
    
    (   select sum(ii_i.weight) from tbinvoiceitem ii_i
        left join tbinvoice i_i on i_i.id = ii_i.invoice
        left join tbcustomer c_i on c_i.id = i_i.customer
        where ii_i.product = p.id and c_i.id in ($P!{customerId}) and year(i_i.invoicedate) = $P{tahun} and month(i_i.invoicedate) = $P{bulan} and day(i_i.invoicedate) = 11 and i_i.status != 4
    )   as jan11,
    
    (   select sum(ii_i.weight) from tbinvoiceitem ii_i
        left join tbinvoice i_i on i_i.id = ii_i.invoice
        left join tbcustomer c_i on c_i.id = i_i.customer
        where ii_i.product = p.id and c_i.id in ($P!{customerId}) and year(i_i.invoicedate) = $P{tahun} and month(i_i.invoicedate) = $P{bulan} and day(i_i.invoicedate) = 12 and i_i.status != 4
    )   as jan12,
    
    (   select sum(ii_i.weight) from tbinvoiceitem ii_i
        left join tbinvoice i_i on i_i.id = ii_i.invoice
        left join tbcustomer c_i on c_i.id = i_i.customer
        where ii_i.product = p.id and c_i.id in ($P!{customerId}) and year(i_i.invoicedate) = $P{tahun} and month(i_i.invoicedate) = $P{bulan} and day(i_i.invoicedate) = 13 and i_i.status != 4
    )   as jan13,
    
    (   select sum(ii_i.weight) from tbinvoiceitem ii_i
        left join tbinvoice i_i on i_i.id = ii_i.invoice
        left join tbcustomer c_i on c_i.id = i_i.customer
        where ii_i.product = p.id and c_i.id in ($P!{customerId}) and year(i_i.invoicedate) = $P{tahun} and month(i_i.invoicedate) = $P{bulan} and day(i_i.invoicedate) = 14 and i_i.status != 4
    )   as jan14,
    
    
    (   select sum(ii_i.weight) from tbinvoiceitem ii_i
        left join tbinvoice i_i on i_i.id = ii_i.invoice
        left join tbcustomer c_i on c_i.id = i_i.customer
        where ii_i.product = p.id and c_i.id in ($P!{customerId}) and year(i_i.invoicedate) = $P{tahun} and month(i_i.invoicedate) = $P{bulan} and day(i_i.invoicedate) = 15 and i_i.status != 4
    )   as jan15,
    
    (   select sum(ii_i.weight) from tbinvoiceitem ii_i
        left join tbinvoice i_i on i_i.id = ii_i.invoice
        left join tbcustomer c_i on c_i.id = i_i.customer
        where ii_i.product = p.id and c_i.id in ($P!{customerId}) and year(i_i.invoicedate) = $P{tahun} and month(i_i.invoicedate) = $P{bulan} and day(i_i.invoicedate) = 16 and i_i.status != 4
    )   as jan16,
    
    (   select sum(ii_i.weight) from tbinvoiceitem ii_i
        left join tbinvoice i_i on i_i.id = ii_i.invoice
        left join tbcustomer c_i on c_i.id = i_i.customer
        where ii_i.product = p.id and c_i.id in ($P!{customerId}) and year(i_i.invoicedate) = $P{tahun} and month(i_i.invoicedate) = $P{bulan} and day(i_i.invoicedate) = 17 and i_i.status != 4
    )   as jan17,
    
    (   select sum(ii_i.weight) from tbinvoiceitem ii_i
        left join tbinvoice i_i on i_i.id = ii_i.invoice
        left join tbcustomer c_i on c_i.id = i_i.customer
        where ii_i.product = p.id and c_i.id in ($P!{customerId}) and year(i_i.invoicedate) = $P{tahun} and month(i_i.invoicedate) = $P{bulan} and day(i_i.invoicedate) = 18 and i_i.status != 4
    )   as jan18,
    
    (   select sum(ii_i.weight) from tbinvoiceitem ii_i
        left join tbinvoice i_i on i_i.id = ii_i.invoice
        left join tbcustomer c_i on c_i.id = i_i.customer
        where ii_i.product = p.id and c_i.id in ($P!{customerId}) and year(i_i.invoicedate) = $P{tahun} and month(i_i.invoicedate) = $P{bulan} and day(i_i.invoicedate) = 19 and i_i.status != 4
    )   as jan19,
    
    (   select sum(ii_i.weight) from tbinvoiceitem ii_i
        left join tbinvoice i_i on i_i.id = ii_i.invoice
        left join tbcustomer c_i on c_i.id = i_i.customer
        where ii_i.product = p.id and c_i.id in ($P!{customerId}) and year(i_i.invoicedate) = $P{tahun} and month(i_i.invoicedate) = $P{bulan} and day(i_i.invoicedate) = 20 and i_i.status != 4
    )   as jan20,
    
    (   select sum(ii_i.weight) from tbinvoiceitem ii_i
        left join tbinvoice i_i on i_i.id = ii_i.invoice
        left join tbcustomer c_i on c_i.id = i_i.customer
        where ii_i.product = p.id and c_i.id in ($P!{customerId}) and year(i_i.invoicedate) = $P{tahun} and month(i_i.invoicedate) = $P{bulan} and day(i_i.invoicedate) = 21 and i_i.status != 4
    )   as jan21,
    
    (   select sum(ii_i.weight) from tbinvoiceitem ii_i
        left join tbinvoice i_i on i_i.id = ii_i.invoice
        left join tbcustomer c_i on c_i.id = i_i.customer
        where ii_i.product = p.id and c_i.id in ($P!{customerId}) and year(i_i.invoicedate) = $P{tahun} and month(i_i.invoicedate) = $P{bulan} and day(i_i.invoicedate) = 22 and i_i.status != 4
    )   as jan22,
    
    (   select sum(ii_i.weight) from tbinvoiceitem ii_i
        left join tbinvoice i_i on i_i.id = ii_i.invoice
        left join tbcustomer c_i on c_i.id = i_i.customer
        where ii_i.product = p.id and c_i.id in ($P!{customerId}) and year(i_i.invoicedate) = $P{tahun} and month(i_i.invoicedate) = $P{bulan} and day(i_i.invoicedate) = 23 and i_i.status != 4
    )   as jan23,
    
    (   select sum(ii_i.weight) from tbinvoiceitem ii_i
        left join tbinvoice i_i on i_i.id = ii_i.invoice
        left join tbcustomer c_i on c_i.id = i_i.customer
        where ii_i.product = p.id and c_i.id in ($P!{customerId}) and year(i_i.invoicedate) = $P{tahun} and month(i_i.invoicedate) = $P{bulan} and day(i_i.invoicedate) = 24 and i_i.status != 4
    )   as jan24,
    
    (   select sum(ii_i.weight) from tbinvoiceitem ii_i
        left join tbinvoice i_i on i_i.id = ii_i.invoice
        left join tbcustomer c_i on c_i.id = i_i.customer
        where ii_i.product = p.id and c_i.id in ($P!{customerId}) and year(i_i.invoicedate) = $P{tahun} and month(i_i.invoicedate) = $P{bulan} and day(i_i.invoicedate) = 25 and i_i.status != 4
    )   as jan25,
    
    (   select sum(ii_i.weight) from tbinvoiceitem ii_i
        left join tbinvoice i_i on i_i.id = ii_i.invoice
        left join tbcustomer c_i on c_i.id = i_i.customer
        where ii_i.product = p.id and c_i.id in ($P!{customerId}) and year(i_i.invoicedate) = $P{tahun} and month(i_i.invoicedate) = $P{bulan} and day(i_i.invoicedate) = 26 and i_i.status != 4
    )   as jan26,
    
    (   select sum(ii_i.weight) from tbinvoiceitem ii_i
        left join tbinvoice i_i on i_i.id = ii_i.invoice
        left join tbcustomer c_i on c_i.id = i_i.customer
        where ii_i.product = p.id and c_i.id in ($P!{customerId}) and year(i_i.invoicedate) = $P{tahun} and month(i_i.invoicedate) = $P{bulan} and day(i_i.invoicedate) = 27 and i_i.status != 4
    )   as jan27,
    
    (   select sum(ii_i.weight) from tbinvoiceitem ii_i
        left join tbinvoice i_i on i_i.id = ii_i.invoice
        left join tbcustomer c_i on c_i.id = i_i.customer
        where ii_i.product = p.id and c_i.id in ($P!{customerId}) and year(i_i.invoicedate) = $P{tahun} and month(i_i.invoicedate) = $P{bulan} and day(i_i.invoicedate) = 28 and i_i.status != 4
    )   as jan28,
    
    (   select sum(ii_i.weight) from tbinvoiceitem ii_i
        left join tbinvoice i_i on i_i.id = ii_i.invoice
        left join tbcustomer c_i on c_i.id = i_i.customer
        where ii_i.product = p.id and c_i.id in ($P!{customerId}) and year(i_i.invoicedate) = $P{tahun} and month(i_i.invoicedate) = $P{bulan} and day(i_i.invoicedate) = 29 and i_i.status != 4
    )   as jan29,
    
    (   select sum(ii_i.weight) from tbinvoiceitem ii_i
        left join tbinvoice i_i on i_i.id = ii_i.invoice
        left join tbcustomer c_i on c_i.id = i_i.customer
        where ii_i.product = p.id and c_i.id in ($P!{customerId}) and year(i_i.invoicedate) = $P{tahun} and month(i_i.invoicedate) = $P{bulan} and day(i_i.invoicedate) = 30 and i_i.status != 4
    )   as jan30,
    
    (   select sum(ii_i.weight) from tbinvoiceitem ii_i
        left join tbinvoice i_i on i_i.id = ii_i.invoice
        left join tbcustomer c_i on c_i.id = i_i.customer
        where ii_i.product = p.id and c_i.id in ($P!{customerId}) and year(i_i.invoicedate) = $P{tahun} and month(i_i.invoicedate) = $P{bulan} and day(i_i.invoicedate) = 31 and i_i.status != 4
    )   as jan31
    
from tbproduct p where p.id in (
    select ii_i.product from tbinvoiceitem ii_i
    left join tbinvoice i_i on i_i.id = ii_i.invoice
    left join tbcustomer c on c.id = i_i.customer
    where c.id in ($P!{customerId}) and year(i_i.invoicedate) = $P{tahun} and month(i_i.invoicedate) = $P{bulan} and i_i.status != 4
    order by p.code)]]>
	</queryString>
	<field name="code" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="code"/>
		<property name="com.jaspersoft.studio.field.label" value="code"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbproduct"/>
	</field>
	<field name="description" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="description"/>
		<property name="com.jaspersoft.studio.field.label" value="description"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbproduct"/>
	</field>
	<field name="jan1" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="jan1"/>
		<property name="com.jaspersoft.studio.field.label" value="jan1"/>
	</field>
	<field name="jan2" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="jan2"/>
		<property name="com.jaspersoft.studio.field.label" value="jan2"/>
	</field>
	<field name="jan3" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="jan3"/>
		<property name="com.jaspersoft.studio.field.label" value="jan3"/>
	</field>
	<field name="jan4" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="jan4"/>
		<property name="com.jaspersoft.studio.field.label" value="jan4"/>
	</field>
	<field name="jan5" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="jan5"/>
		<property name="com.jaspersoft.studio.field.label" value="jan5"/>
	</field>
	<field name="jan6" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="jan6"/>
		<property name="com.jaspersoft.studio.field.label" value="jan6"/>
	</field>
	<field name="jan7" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="jan7"/>
		<property name="com.jaspersoft.studio.field.label" value="jan7"/>
	</field>
	<field name="jan8" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="jan8"/>
		<property name="com.jaspersoft.studio.field.label" value="jan8"/>
	</field>
	<field name="jan9" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="jan9"/>
		<property name="com.jaspersoft.studio.field.label" value="jan9"/>
	</field>
	<field name="jan10" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="jan10"/>
		<property name="com.jaspersoft.studio.field.label" value="jan10"/>
	</field>
	<field name="jan11" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="jan11"/>
		<property name="com.jaspersoft.studio.field.label" value="jan11"/>
	</field>
	<field name="jan12" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="jan12"/>
		<property name="com.jaspersoft.studio.field.label" value="jan12"/>
	</field>
	<field name="jan13" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="jan13"/>
		<property name="com.jaspersoft.studio.field.label" value="jan13"/>
	</field>
	<field name="jan14" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="jan14"/>
		<property name="com.jaspersoft.studio.field.label" value="jan14"/>
	</field>
	<field name="jan15" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="jan15"/>
		<property name="com.jaspersoft.studio.field.label" value="jan15"/>
	</field>
	<field name="jan16" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="jan16"/>
		<property name="com.jaspersoft.studio.field.label" value="jan16"/>
	</field>
	<field name="jan17" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="jan17"/>
		<property name="com.jaspersoft.studio.field.label" value="jan17"/>
	</field>
	<field name="jan18" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="jan18"/>
		<property name="com.jaspersoft.studio.field.label" value="jan18"/>
	</field>
	<field name="jan19" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="jan19"/>
		<property name="com.jaspersoft.studio.field.label" value="jan19"/>
	</field>
	<field name="jan20" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="jan20"/>
		<property name="com.jaspersoft.studio.field.label" value="jan20"/>
	</field>
	<field name="jan21" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="jan21"/>
		<property name="com.jaspersoft.studio.field.label" value="jan21"/>
	</field>
	<field name="jan22" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="jan22"/>
		<property name="com.jaspersoft.studio.field.label" value="jan22"/>
	</field>
	<field name="jan23" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="jan23"/>
		<property name="com.jaspersoft.studio.field.label" value="jan23"/>
	</field>
	<field name="jan24" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="jan24"/>
		<property name="com.jaspersoft.studio.field.label" value="jan24"/>
	</field>
	<field name="jan25" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="jan25"/>
		<property name="com.jaspersoft.studio.field.label" value="jan25"/>
	</field>
	<field name="jan26" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="jan26"/>
		<property name="com.jaspersoft.studio.field.label" value="jan26"/>
	</field>
	<field name="jan27" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="jan27"/>
		<property name="com.jaspersoft.studio.field.label" value="jan27"/>
	</field>
	<field name="jan28" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="jan28"/>
		<property name="com.jaspersoft.studio.field.label" value="jan28"/>
	</field>
	<field name="jan29" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="jan29"/>
		<property name="com.jaspersoft.studio.field.label" value="jan29"/>
	</field>
	<field name="jan30" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="jan30"/>
		<property name="com.jaspersoft.studio.field.label" value="jan30"/>
	</field>
	<field name="jan31" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="jan31"/>
		<property name="com.jaspersoft.studio.field.label" value="jan31"/>
	</field>
	<title>
		<band height="68" splitType="Stretch">
			<textField>
				<reportElement x="0" y="0" width="440" height="28" uuid="d07c8fbc-a74f-40ee-bf4e-25ab5b3a661d"/>
				<textElement textAlignment="Left" verticalAlignment="Middle">
					<font size="14" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA["REPORT ITEM TERJUAL PER ITEM PER CUSTOMER"]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="90" y="28" width="350" height="20" uuid="26ed3f9a-981d-4e98-83e8-e4697da3d4cd"/>
				<textElement textAlignment="Left" verticalAlignment="Middle" markup="none">
					<font fontName="SansSerif" size="9" isBold="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{bulan} + "  " + " TAHUN : " + $P{tahun}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="0" y="28" width="90" height="20" uuid="4e7fa3cc-a4c8-401d-b0e9-eca0e5625838"/>
				<box leftPadding="3"/>
				<textElement textAlignment="Left" verticalAlignment="Middle">
					<font size="9"/>
				</textElement>
				<text><![CDATA[PENJUALAN BULAN]]></text>
			</staticText>
			<staticText>
				<reportElement x="1860" y="48" width="120" height="20" uuid="b16ccee2-4f3a-40e3-b337-505b04b26f95"/>
				<box leftPadding="0">
					<topPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA[14]]></text>
			</staticText>
			<staticText>
				<reportElement x="3660" y="48" width="120" height="20" uuid="886a3eee-139d-4ff8-a3f6-0df4ceb30684"/>
				<box leftPadding="0">
					<topPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA[29]]></text>
			</staticText>
			<staticText>
				<reportElement x="660" y="48" width="110" height="20" uuid="76424c7e-3a1e-4636-8cec-71181293c6e6"/>
				<box leftPadding="0">
					<topPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.0"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA[3]]></text>
			</staticText>
			<staticText>
				<reportElement x="440" y="48" width="110" height="20" uuid="dccb0335-8ad9-4151-8ee0-3f74769dad07"/>
				<box leftPadding="0">
					<topPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.0"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA[1]]></text>
			</staticText>
			<componentElement>
				<reportElement x="0" y="48" width="440" height="20" uuid="c09c02ec-4cbd-4fae-a222-1544924d687d"/>
				<jr:list xmlns:jr="http://jasperreports.sourceforge.net/jasperreports/components" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports/components http://jasperreports.sourceforge.net/xsd/components.xsd" printOrder="Vertical">
					<datasetRun subDataset="customerid" uuid="677cb1e4-3fe2-42d5-b000-b3d5c0be2b17">
						<datasetParameter name="id">
							<datasetParameterExpression><![CDATA[$P{customerId}]]></datasetParameterExpression>
						</datasetParameter>
						<connectionExpression><![CDATA[$P{REPORT_CONNECTION}]]></connectionExpression>
					</datasetRun>
					<jr:listContents height="20" width="440">
						<textField>
							<reportElement x="0" y="0" width="90" height="20" uuid="3fbeb6bb-9c97-4e87-9d16-cfd7b95fe2a2"/>
							<box leftPadding="2">
								<topPen lineWidth="0.5"/>
								<leftPen lineWidth="0.5"/>
							</box>
							<textElement verticalAlignment="Middle">
								<font isBold="true"/>
							</textElement>
							<textFieldExpression><![CDATA[$F{customer_code}]]></textFieldExpression>
						</textField>
						<textField>
							<reportElement x="90" y="0" width="350" height="20" uuid="4a3935fc-8164-4f8c-9a95-490c87e4d663"/>
							<box leftPadding="2">
								<topPen lineWidth="0.5"/>
								<leftPen lineWidth="0.5"/>
								<rightPen lineWidth="0.5"/>
							</box>
							<textElement verticalAlignment="Middle">
								<font isBold="true"/>
							</textElement>
							<textFieldExpression><![CDATA[$F{name}]]></textFieldExpression>
						</textField>
					</jr:listContents>
				</jr:list>
			</componentElement>
			<staticText>
				<reportElement x="1320" y="48" width="110" height="20" uuid="f1edad93-56aa-4630-9a11-a64656a2d27a"/>
				<box leftPadding="0">
					<topPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA[9]]></text>
			</staticText>
			<staticText>
				<reportElement x="3420" y="48" width="120" height="20" uuid="8595b730-fa3d-4134-af57-758e4433d1a8"/>
				<box leftPadding="0">
					<topPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA[27]]></text>
			</staticText>
			<staticText>
				<reportElement x="3540" y="48" width="120" height="20" uuid="79053ae6-888b-4314-aaa3-3f45fe42ea45"/>
				<box leftPadding="0">
					<topPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA[28]]></text>
			</staticText>
			<staticText>
				<reportElement x="1210" y="48" width="110" height="20" uuid="148c098d-852f-4033-9dad-ce1ca5494619"/>
				<box leftPadding="0">
					<topPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA[8]]></text>
			</staticText>
			<staticText>
				<reportElement x="3300" y="48" width="120" height="20" uuid="0e2757a6-3d90-4b8b-b967-9b136d26be68"/>
				<box leftPadding="0">
					<topPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA[26]]></text>
			</staticText>
			<staticText>
				<reportElement x="2940" y="48" width="120" height="20" uuid="b1a00b17-2102-4f16-a9ed-b5ddb1b904dc"/>
				<box leftPadding="0">
					<topPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA[23]]></text>
			</staticText>
			<staticText>
				<reportElement x="2820" y="48" width="120" height="20" uuid="941fd702-7b03-4837-bcd7-403975a8a07b"/>
				<box leftPadding="0">
					<topPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA[22]]></text>
			</staticText>
			<staticText>
				<reportElement x="2220" y="48" width="120" height="20" uuid="c0169a01-2b24-4981-9baa-fac264f53ee9"/>
				<box leftPadding="0">
					<topPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA[17]]></text>
			</staticText>
			<staticText>
				<reportElement x="1100" y="48" width="110" height="20" uuid="4b5452c8-62c4-4c92-b592-b431d4a9a7e6"/>
				<box leftPadding="0">
					<topPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA[7]]></text>
			</staticText>
			<staticText>
				<reportElement x="1980" y="48" width="120" height="20" uuid="0d44cd8f-1977-4034-86bf-d8f4876c771f"/>
				<box leftPadding="0">
					<topPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA[15]]></text>
			</staticText>
			<staticText>
				<reportElement x="3780" y="48" width="120" height="20" uuid="3afec502-ff0a-4f0b-8803-2b484088ab82"/>
				<box leftPadding="0">
					<topPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA[30]]></text>
			</staticText>
			<staticText>
				<reportElement x="770" y="48" width="110" height="20" uuid="61853028-2071-4a24-b22a-43984a797153"/>
				<box leftPadding="0">
					<topPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA[4]]></text>
			</staticText>
			<staticText>
				<reportElement x="3900" y="48" width="120" height="20" uuid="11cea4dd-3e99-460f-888b-3a7d52f789a4"/>
				<box leftPadding="0">
					<topPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA[31]]></text>
			</staticText>
			<staticText>
				<reportElement x="990" y="48" width="110" height="20" uuid="afca09b2-8e40-4448-82f9-7230baf1596e"/>
				<box leftPadding="0">
					<topPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA[6]]></text>
			</staticText>
			<staticText>
				<reportElement x="2700" y="48" width="120" height="20" uuid="156c9c45-e060-46fc-91ac-76411d594e39"/>
				<box leftPadding="0">
					<topPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA[21]]></text>
			</staticText>
			<staticText>
				<reportElement x="1540" y="48" width="100" height="20" uuid="772af02b-fc79-4ee5-b61d-36613d269e1a"/>
				<box leftPadding="0">
					<topPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA[11]]></text>
			</staticText>
			<staticText>
				<reportElement x="2460" y="48" width="120" height="20" uuid="0b63eb25-0f2d-4895-a5c0-7120150cc402"/>
				<box leftPadding="0">
					<topPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA[19]]></text>
			</staticText>
			<staticText>
				<reportElement x="550" y="48" width="110" height="20" uuid="42213fac-0054-476f-a186-6d9bc965cf5e"/>
				<box leftPadding="0">
					<topPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.0"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA[2]]></text>
			</staticText>
			<staticText>
				<reportElement x="880" y="48" width="110" height="20" uuid="ee5c26b7-e017-45ed-9e8d-ee4df9094b5e"/>
				<box leftPadding="0">
					<topPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA[5]]></text>
			</staticText>
			<staticText>
				<reportElement x="1640" y="48" width="100" height="20" uuid="98ddd67b-47b5-4ada-b1d6-3136bb870d29"/>
				<box leftPadding="0">
					<topPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA[12]]></text>
			</staticText>
			<staticText>
				<reportElement x="2340" y="48" width="120" height="20" uuid="4458049b-f4cf-45fb-9fe6-d95962cd3761"/>
				<box leftPadding="0">
					<topPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA[18]]></text>
			</staticText>
			<staticText>
				<reportElement x="3180" y="48" width="120" height="20" uuid="dc0b7ae0-cee2-41af-bda9-46c524bec53f"/>
				<box leftPadding="0">
					<topPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA[25]]></text>
			</staticText>
			<staticText>
				<reportElement x="2580" y="48" width="120" height="20" uuid="b6e5089d-efed-43d2-8a0f-5a81fb6bd2b2"/>
				<box leftPadding="0">
					<topPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA[20]]></text>
			</staticText>
			<staticText>
				<reportElement x="1740" y="48" width="120" height="20" uuid="eea742f0-2d74-4c69-992f-3068e94bbaab"/>
				<box leftPadding="0">
					<topPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA[13]]></text>
			</staticText>
			<staticText>
				<reportElement x="3060" y="48" width="120" height="20" uuid="915f96a7-12f2-4ff3-b994-c19b552f810e"/>
				<box leftPadding="0">
					<topPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA[24]]></text>
			</staticText>
			<staticText>
				<reportElement x="2100" y="48" width="120" height="20" uuid="b46a4428-0503-4cc0-b236-ef3f9f6544eb"/>
				<box leftPadding="0">
					<topPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA[16]]></text>
			</staticText>
			<staticText>
				<reportElement x="1430" y="48" width="110" height="20" uuid="b695a0cd-4871-4732-ba39-c44c96844d45"/>
				<box leftPadding="0">
					<topPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA[10]]></text>
			</staticText>
		</band>
	</title>
	<detail>
		<band height="20" splitType="Stretch">
			<textField pattern="dd-MM-yyyy">
				<reportElement x="0" y="0" width="90" height="20" uuid="778d9fd0-6145-44c4-8608-2b10ee32898e"/>
				<box leftPadding="2">
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{code}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="90" y="0" width="350" height="20" uuid="9389d92d-d7ab-4565-b38f-cba3add48cc4"/>
				<box leftPadding="2">
					<topPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{description}]]></textFieldExpression>
			</textField>
			<textField pattern="###,##0">
				<reportElement x="440" y="0" width="110" height="20" uuid="342fe819-83f1-4ac2-9b63-60f822a357e1"/>
				<box rightPadding="2">
					<topPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{jan1} == null ? "" : $F{jan1}]]></textFieldExpression>
			</textField>
			<textField pattern="###,##0">
				<reportElement x="550" y="0" width="110" height="20" uuid="4a7059e9-3079-427c-85d9-3b84365982b3"/>
				<box rightPadding="2">
					<topPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{jan2} == null ? "" : $F{jan2}]]></textFieldExpression>
			</textField>
			<textField pattern="###,##0">
				<reportElement x="660" y="0" width="110" height="20" uuid="62b3c3c3-a183-4a74-88a1-a1ca42547508"/>
				<box rightPadding="2">
					<topPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{jan3} == null ? "" : $F{jan3}]]></textFieldExpression>
			</textField>
			<textField pattern="###,##0">
				<reportElement x="770" y="0" width="110" height="20" uuid="d635aaa5-7c91-4b6f-b463-ecfc33c1007e"/>
				<box rightPadding="2">
					<topPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{jan4} == null ? "" : $F{jan4}]]></textFieldExpression>
			</textField>
			<textField pattern="###,##0">
				<reportElement x="880" y="0" width="110" height="20" uuid="3b822fdb-47c7-4789-af57-5a59c69f387f"/>
				<box rightPadding="2">
					<topPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{jan5} == null ? "" : $F{jan5}]]></textFieldExpression>
			</textField>
			<textField pattern="###,##0">
				<reportElement x="990" y="0" width="110" height="20" uuid="904722c4-9c90-4182-a1e8-4e74a1743d29"/>
				<box rightPadding="2">
					<topPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{jan6} == null ? "" : $F{jan6}]]></textFieldExpression>
			</textField>
			<textField pattern="###,##0">
				<reportElement x="1100" y="0" width="110" height="20" uuid="85b00386-9ca8-407c-ac88-b2f9214df6c6"/>
				<box leftPadding="0" rightPadding="2">
					<topPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{jan7} == null ? "" : $F{jan7}]]></textFieldExpression>
			</textField>
			<textField pattern="###,##0">
				<reportElement x="1210" y="0" width="110" height="20" uuid="595221d9-4308-4d0e-a633-72bc26a496db"/>
				<box rightPadding="2">
					<topPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{jan8} == null ? "" : $F{jan8}]]></textFieldExpression>
			</textField>
			<textField pattern="###,##0">
				<reportElement x="1320" y="0" width="110" height="20" uuid="d049ffd4-b2ec-4994-8d83-b647ea9515c3"/>
				<box rightPadding="2">
					<topPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{jan9} == null ? "" : $F{jan9}]]></textFieldExpression>
			</textField>
			<textField pattern="###,##0">
				<reportElement x="1430" y="0" width="110" height="20" uuid="23e3e6ed-f141-4816-873f-0a2faf09f4f8"/>
				<box rightPadding="2">
					<topPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{jan10} == null ? "":$F{jan10}]]></textFieldExpression>
			</textField>
			<textField pattern="###,##0">
				<reportElement x="1540" y="0" width="100" height="20" uuid="3d5bc321-ab90-4e3f-a059-e029a65776cb"/>
				<box rightPadding="2">
					<topPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{jan11} == null ? "" : $F{jan11}]]></textFieldExpression>
			</textField>
			<textField pattern="###,##0">
				<reportElement x="1640" y="0" width="100" height="20" uuid="542fed65-1aec-4045-85f1-6bdcad39fc8b"/>
				<box rightPadding="2">
					<topPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{jan12} == null ? "" : $F{jan12}]]></textFieldExpression>
			</textField>
			<textField pattern="###,##0">
				<reportElement x="1740" y="0" width="120" height="20" uuid="3d37baec-050d-424d-8019-fe28103e648c"/>
				<box rightPadding="2">
					<topPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{jan13} == null ? "" : $F{jan13}]]></textFieldExpression>
			</textField>
			<textField pattern="###,##0">
				<reportElement x="1860" y="0" width="120" height="20" uuid="432616c5-19ae-4086-b660-d8f2e21e6274"/>
				<box rightPadding="2">
					<topPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{jan14} == null ? "" : $F{jan14}]]></textFieldExpression>
			</textField>
			<textField pattern="###,##0">
				<reportElement x="1980" y="0" width="120" height="20" uuid="e2f138df-6f71-406f-adae-12b1dcb36ab9"/>
				<box rightPadding="2">
					<topPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{jan15} == null ? "" : $F{jan15}]]></textFieldExpression>
			</textField>
			<textField pattern="###,##0">
				<reportElement x="2100" y="0" width="120" height="20" uuid="d6f4c86f-722d-4c09-9f46-dee60109a828"/>
				<box rightPadding="2">
					<topPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{jan16} == null ? "" : $F{jan16}]]></textFieldExpression>
			</textField>
			<textField pattern="###,##0">
				<reportElement x="2220" y="0" width="120" height="20" uuid="a7a4aaf1-6c32-4f4e-93be-09f225375cf7"/>
				<box rightPadding="2">
					<topPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{jan17} == null ? "" : $F{jan17}]]></textFieldExpression>
			</textField>
			<textField pattern="###,##0">
				<reportElement x="2340" y="0" width="120" height="20" uuid="f3f9907f-7483-43da-ad61-0a0013a2bd81"/>
				<box rightPadding="2">
					<topPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{jan18} == null ? "" : $F{jan18}]]></textFieldExpression>
			</textField>
			<textField pattern="###,##0">
				<reportElement x="2460" y="0" width="120" height="20" uuid="31cbdfb2-bdd3-427d-ace3-69a4436bc94e"/>
				<box rightPadding="2">
					<topPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{jan19} == null ? "" : $F{jan19}]]></textFieldExpression>
			</textField>
			<textField pattern="###,##0">
				<reportElement x="2580" y="0" width="120" height="20" uuid="195709ef-4e6a-4d04-8b49-1048505f4583"/>
				<box rightPadding="2">
					<topPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{jan20} == null ? "" : $F{jan20}]]></textFieldExpression>
			</textField>
			<textField pattern="###,##0">
				<reportElement x="2700" y="0" width="120" height="20" uuid="5f20af75-ebf7-46a5-b804-ace39de603e7"/>
				<box rightPadding="2">
					<topPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{jan21} == null ? "" : $F{jan21}]]></textFieldExpression>
			</textField>
			<textField pattern="###,##0">
				<reportElement x="2820" y="0" width="120" height="20" uuid="5c22f619-b792-4ff2-a9ea-a7e2ee00ab91"/>
				<box rightPadding="2">
					<topPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{jan22} == null ? "" : $F{jan22}]]></textFieldExpression>
			</textField>
			<textField pattern="###,##0">
				<reportElement x="2940" y="0" width="120" height="20" uuid="81928f47-82ca-4755-b449-bdbf6ea9be88"/>
				<box rightPadding="2">
					<topPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{jan23} == null ? "" : $F{jan23}]]></textFieldExpression>
			</textField>
			<textField pattern="###,##0">
				<reportElement x="3060" y="0" width="120" height="20" uuid="42c02dd4-85f4-4b88-80c7-2505e1c3ff35"/>
				<box rightPadding="2">
					<topPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{jan24} == null ? "" : $F{jan24}]]></textFieldExpression>
			</textField>
			<textField pattern="###,##0">
				<reportElement x="3180" y="0" width="120" height="20" uuid="3c3d507b-c289-4e46-a242-d16172edffb5"/>
				<box rightPadding="2">
					<topPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{jan25} == null ? "" : $F{jan25}]]></textFieldExpression>
			</textField>
			<textField pattern="###,##0">
				<reportElement x="3300" y="0" width="120" height="20" uuid="f40fcd60-cbaf-455d-88df-7abae7b70611"/>
				<box rightPadding="2">
					<topPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{jan26} == null ? "" : $F{jan26}]]></textFieldExpression>
			</textField>
			<textField pattern="###,##0">
				<reportElement x="3420" y="0" width="120" height="20" uuid="46598fa9-6454-40d0-9163-04654ecb5a83"/>
				<box rightPadding="2">
					<topPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{jan27} == null ? "" : $F{jan27}]]></textFieldExpression>
			</textField>
			<textField pattern="###,##0">
				<reportElement x="3540" y="0" width="120" height="20" uuid="d3038540-4ab3-4704-afb7-7e1fa96ed877"/>
				<box rightPadding="2">
					<topPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{jan28} == null ? "" : $F{jan28}]]></textFieldExpression>
			</textField>
			<textField pattern="###,##0">
				<reportElement x="3660" y="0" width="120" height="20" uuid="50edc480-6524-41ea-a649-6d6eed79ebed"/>
				<box rightPadding="2">
					<topPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{jan29} == null ? "" : $F{jan29}]]></textFieldExpression>
			</textField>
			<textField pattern="###,##0">
				<reportElement x="3780" y="0" width="120" height="20" uuid="5386b39e-3e06-495e-8c6a-ba61c0c9fbfb"/>
				<box rightPadding="2">
					<topPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{jan30} == null ? "" : $F{jan30}]]></textFieldExpression>
			</textField>
			<textField pattern="###,##0">
				<reportElement x="3900" y="0" width="120" height="20" uuid="e8ed21df-0c33-417f-891b-ac3817b57147"/>
				<box rightPadding="2">
					<topPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{jan31} == null ? "" : $F{jan31}]]></textFieldExpression>
			</textField>
		</band>
	</detail>
</jasperReport>
